%define api_version     2.4
%define lib_major	1
%define lib_name	%mklibname soup %{api_version} %{lib_major}
%define gi_name		%mklibname soup-gir %{api_version}
%define develname	%mklibname -d soup

%define build_doc       1

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	SOAP (Simple Object Access Protocol) implementation
Name:		libsoup
Version:	2.74.3
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	git
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0) >= 2.36.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(krb5-gssapi)
BuildRequires:	pkgconfig(libbrotlidec)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libpsl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	samba-winbind-clients
BuildRequires:	pkgconfig(vapigen)
Requires:	glib-networking

%if %{build_doc}
BuildRequires:	gtk-doc
%endif

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package i18n
Summary:	Library for soup - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains translations used by soup.

%package -n %{lib_name}
Summary:	Libraries for soup
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
# NTLM authentication
Recommends:	samba-winbind-clients

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libsoup
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libsoup.

%package -n %{develname}
Summary:	Development libraries, header files and utilities for soup
Group:		Development/GNOME and GTK+
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{gi_name} = %{version}

%description -n %{develname}
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%autosetup -p1

%build
%meson \
	-Dtls_check=false \
%if %{build_doc}
	-Dgtk_doc=true
%endif

%meson_build

%install
%meson_install

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{lib_name}
%{_libdir}/*%{api_version}.so.%{lib_major}
%{_libdir}/*%{api_version}.so.%{lib_major}.*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Soup-%{api_version}.typelib
%{_libdir}/girepository-1.0/SoupGNOME-%{api_version}.typelib

%files -n %{develname}
%doc README COPYING AUTHORS NEWS
%{_datadir}/gtk-doc/html/%{name}-%api_version
%{_datadir}/gir-1.0/Soup-%{api_version}.gir
%{_datadir}/gir-1.0/SoupGNOME-%{api_version}.gir
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/vala/vapi/%{name}-%{api_version}.deps
%{_datadir}/vala/vapi/%{name}-%{api_version}.vapi


%changelog
* Wed Nov 23 2022 tv <tv> 2.74.3-1.mga9
+ Revision: 1910481
- Update to 2.74.3

* Tue Mar 15 2022 tv <tv> 2.74.2-1.mga9
+ Revision: 1793241
- 2.74.2

* Mon Jan 10 2022 tv <tv> 2.74.1-2.mga9
+ Revision: 1767846
- Rebuild for missing libsoup-devel

* Mon Jan 10 2022 tv <tv> 2.74.1-1.mga9
+ Revision: 1767425
- 2.74.1

* Mon Sep 14 2020 ovitters <ovitters> 2.72.0-1.mga8
+ Revision: 1626064
- new version 2.72.0

* Fri Sep 11 2020 tv <tv> 2.71.1-1.mga8
+ Revision: 1624759
- use %%autosetup
- BR pkgconfig(sysprof-capture-4)
- BR git
+ ovitters <ovitters>
- new version 2.71.1

* Thu Jul 09 2020 ovitters <ovitters> 2.71.0-1.mga8
+ Revision: 1603439
- new version 2.71.0
+ danf <danf>
- Switch URLs from http: to https:

* Sat Mar 07 2020 ovitters <ovitters> 2.70.0-1.mga8
+ Revision: 1554558
- new version 2.70.0

* Tue Feb 18 2020 tv <tv> 2.69.90-1.mga8
+ Revision: 1541949
- 2.69.90

* Tue Feb 18 2020 umeabot <umeabot> 2.68.3-2.mga8
+ Revision: 1539232
- Mageia 8 Mass Rebuild

* Wed Dec 04 2019 ovitters <ovitters> 2.68.3-1.mga8
+ Revision: 1464244
- new version 2.68.3

* Wed Oct 09 2019 ovitters <ovitters> 2.68.2-1.mga8
+ Revision: 1450769
- new version 2.68.2

* Wed Sep 11 2019 ovitters <ovitters> 2.68.1-1.mga8
+ Revision: 1439630
- new version 2.68.1

* Wed Sep 11 2019 ovitters <ovitters> 2.68.0-1.mga8
+ Revision: 1439558
- new version 2.68.0

* Mon Sep 02 2019 ovitters <ovitters> 2.67.93-1.mga8
+ Revision: 1436282
- new version 2.67.93

* Tue Aug 20 2019 ovitters <ovitters> 2.67.92-1.mga8
+ Revision: 1430673
- new version 2.67.92

* Mon Aug 05 2019 ovitters <ovitters> 2.67.91-1.mga8
+ Revision: 1427388
- new version 2.67.91

* Fri Aug 02 2019 ovitters <ovitters> 2.67.90-1.mga8
+ Revision: 1426834
- new version 2.67.90

* Tue Jul 02 2019 ovitters <ovitters> 2.66.2-1.mga8
+ Revision: 1417633
- new version 2.66.2

* Thu Apr 18 2019 umeabot <umeabot> 2.66.1-2.mga7
+ Revision: 1392792
- Rebuild with meson 0.50.1

* Tue Apr 09 2019 ovitters <ovitters> 2.66.1-1.mga7
+ Revision: 1387369
- new version 2.66.1

* Tue Mar 12 2019 ovitters <ovitters> 2.66.0-1.mga7
+ Revision: 1374526
- new version 2.66.0

* Thu Mar 07 2019 ovitters <ovitters> 2.65.92-1.mga7
+ Revision: 1372378
- switch to meson
- new version 2.65.92

* Mon Oct 22 2018 ovitters <ovitters> 2.64.2-1.mga7
+ Revision: 1323700
- new version 2.64.2

* Mon Sep 24 2018 ovitters <ovitters> 2.64.1-1.mga7
+ Revision: 1303513
- new version 2.64.1

* Mon Sep 03 2018 ovitters <ovitters> 2.64.0-1.mga7
+ Revision: 1256750
- new version 2.64.0

* Tue Aug 28 2018 ovitters <ovitters> 2.63.92-1.mga7
+ Revision: 1255241
- new version 2.63.92

* Tue Aug 14 2018 ovitters <ovitters> 2.63.91-1.mga7
+ Revision: 1251489
- new version 2.63.91

* Thu Aug 09 2018 ovitters <ovitters> 2.63.90-1.mga7
+ Revision: 1250748
- new version 2.63.90
- dropped merged patch libsoup-2.63.2-CVE-2018-12910.patch

* Mon Jul 23 2018 mrambo3501 <mrambo3501> 2.63.2-2.mga7
+ Revision: 1244988
- add upsteam patch which fixes CVE-2018-12910 (mga#23275)

* Wed May 23 2018 ovitters <ovitters> 2.63.2-1.mga7
+ Revision: 1231944
- new version 2.63.2

* Mon May 07 2018 ovitters <ovitters> 2.62.2-1.mga7
+ Revision: 1227301
- new version 2.62.2

* Mon Apr 09 2018 ovitters <ovitters> 2.62.1-1.mga7
+ Revision: 1216588
- new version 2.62.1

* Mon Mar 12 2018 ovitters <ovitters> 2.62.0-1.mga7
+ Revision: 1208637
- new version 2.62.0

* Mon Mar 05 2018 ovitters <ovitters> 2.61.91-1.mga7
+ Revision: 1206777
- new version 2.61.91
+ wally <wally>
- drop old/unneeded obsoletes and conflicts
- loosen lib pkg requires

* Mon Feb 05 2018 ovitters <ovitters> 2.61.90-1.mga7
+ Revision: 1199015
- new version 2.61.90

* Tue Jan 16 2018 ovitters <ovitters> 2.61.2-1.mga7
+ Revision: 1193898
- new version 2.61.2

* Tue Jan 09 2018 ovitters <ovitters> 2.60.3-1.mga7
+ Revision: 1191925
- new version 2.60.3

* Fri Oct 27 2017 ovitters <ovitters> 2.60.2-1.mga7
+ Revision: 1173907
- new version 2.60.2

* Wed Oct 11 2017 ovitters <ovitters> 2.60.1-1.mga7
+ Revision: 1170937
- new version 2.60.1

* Tue Sep 12 2017 ovitters <ovitters> 2.60.0-1.mga7
+ Revision: 1153181
- new version 2.60.0

* Mon Aug 21 2017 ovitters <ovitters> 2.59.90.1-1.mga7
+ Revision: 1142594
- new version 2.59.90.1

* Thu Aug 10 2017 ovitters <ovitters> 2.58.2-1.mga7
+ Revision: 1139516
- new version 2.58.2

* Mon May 08 2017 ovitters <ovitters> 2.58.1-1.mga6
+ Revision: 1099696
- new version 2.58.1

* Thu Apr 20 2017 ovitters <ovitters> 2.58.0-1.mga6
+ Revision: 1096955
- new version 2.58.0

* Mon Sep 26 2016 tv <tv> 2.56.0-2.mga6
+ Revision: 1056832
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Mon Sep 19 2016 ovitters <ovitters> 2.56.0-1.mga6
+ Revision: 1054293
- new version 2.56.0

* Sun Sep 18 2016 ovitters <ovitters> 2.55.90-1.mga6
+ Revision: 1053984
- new version 2.55.90

* Tue Apr 26 2016 ovitters <ovitters> 2.54.1-1.mga6
+ Revision: 1006400
- new version 2.54.1

* Wed Mar 23 2016 ovitters <ovitters> 2.54.0.1-1.mga6
+ Revision: 994305
- new version 2.54.0.1

* Mon Mar 21 2016 ovitters <ovitters> 2.54.0-1.mga6
+ Revision: 993812
- new version 2.54.0

* Mon Mar 14 2016 ovitters <ovitters> 2.53.92-1.mga6
+ Revision: 990648
- new version 2.53.92

* Tue Feb 16 2016 ovitters <ovitters> 2.53.90-1.mga6
+ Revision: 962398
- new version 2.53.90

* Sat Nov 28 2015 tv <tv> 2.53.2-1.mga6
+ Revision: 906863
- adjust file list
+ ovitters <ovitters>
- new version 2.53.2

* Mon Nov 23 2015 ovitters <ovitters> 2.53.1-1.mga6
+ Revision: 905137
- new version 2.53.1

* Mon Nov 09 2015 ovitters <ovitters> 2.52.2-1.mga6
+ Revision: 900167
- new version 2.52.2

* Mon Oct 12 2015 ovitters <ovitters> 2.52.1-1.mga6
+ Revision: 890146
- new version 2.52.1

* Thu Sep 24 2015 tv <tv> 2.52.0-1.mga6
+ Revision: 882567
- new release

* Tue Sep 15 2015 ovitters <ovitters> 2.51.92-1.mga6
+ Revision: 879590
- new version 2.51.92

* Tue Aug 18 2015 ovitters <ovitters> 2.51.90-1.mga6
+ Revision: 865769
- new version 2.51.90

* Mon Jun 29 2015 wally <wally> 2.51.3-2.mga6
+ Revision: 847723
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 2.51.3-1.mga6
+ Revision: 839920
- new version 2.51.3

* Sun Jun 21 2015 ovitters <ovitters> 2.50.0-1.mga6
+ Revision: 837950
- new version 2.50.0

* Tue Dec 09 2014 ovitters <ovitters> 2.48.1-1.mga5
+ Revision: 802401
- new version 2.48.1

* Wed Oct 15 2014 umeabot <umeabot> 2.48.0-2.mga5
+ Revision: 740480
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 2.48.0-1.mga5
+ Revision: 724893
- new version 2.48.0

* Tue Sep 16 2014 umeabot <umeabot> 2.47.92-2.mga5
+ Revision: 681791
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 2.47.92-1.mga5
+ Revision: 676802
- new version 2.47.92

* Tue Jul 22 2014 ovitters <ovitters> 2.47.4-1.mga5
+ Revision: 655577
- new version 2.47.4

* Mon Jun 23 2014 ovitters <ovitters> 2.47.3-1.mga5
+ Revision: 639068
- new version 2.47.3

* Mon Mar 24 2014 ovitters <ovitters> 2.46.0-1.mga5
+ Revision: 608124
- new version 2.46.0

* Mon Mar 17 2014 ovitters <ovitters> 2.45.92-1.mga5
+ Revision: 604559
- new version 2.45.92

* Tue Feb 18 2014 ovitters <ovitters> 2.45.90-1.mga5
+ Revision: 594113
- new version 2.45.90

* Wed Feb 05 2014 ovitters <ovitters> 2.45.3-1.mga5
+ Revision: 582850
- new version 2.45.3

* Tue Nov 12 2013 ovitters <ovitters> 2.44.2-1.mga4
+ Revision: 550665
- new version 2.44.2

* Tue Oct 22 2013 umeabot <umeabot> 2.44.1-2.mga4
+ Revision: 545067
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 2.44.1-1.mga4
+ Revision: 500728
- new version 2.44.1

* Tue Sep 24 2013 ovitters <ovitters> 2.44.0-1.mga4
+ Revision: 484581
- new version 2.44.0

* Tue Sep 17 2013 ovitters <ovitters> 2.43.92-1.mga4
+ Revision: 480519
- new version 2.43.92

* Mon Aug 19 2013 ovitters <ovitters> 2.43.90-1.mga4
+ Revision: 467949
- new version 2.43.90
+ fwang <fwang>
- gnome-keyring is not required now

* Mon Jul 29 2013 ovitters <ovitters> 2.43.5-1.mga4
+ Revision: 460680
- new version 2.43.5

* Tue Jul 09 2013 ovitters <ovitters> 2.43.4-1.mga4
+ Revision: 452077
- new version 2.43.4

* Wed May 29 2013 dams <dams> 2.43.2-1.mga4
+ Revision: 432914
- new version 2.43.2

* Sun May 26 2013 blino <blino> 2.43.1-1.mga4
+ Revision: 428286
- 2.43.1

* Thu May 23 2013 fwang <fwang> 2.42.2-1.mga4
+ Revision: 425529
- new version 2.42.2
+ ovitters <ovitters>
- new version 2.40.3

* Sat Jan 12 2013 umeabot <umeabot> 2.40.2-2.mga3
+ Revision: 358188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 2.40.2-1.mga3
+ Revision: 317397
- new version 2.40.2

* Tue Oct 16 2012 ovitters <ovitters> 2.40.1-1.mga3
+ Revision: 307160
- new version 2.40.1

* Mon Sep 24 2012 ovitters <ovitters> 2.40.0-1.mga3
+ Revision: 297177
- new version 2.40.0

* Tue Sep 18 2012 ovitters <ovitters> 2.39.92-1.mga3
+ Revision: 295631
- new version 2.39.92

* Tue Sep 04 2012 ovitters <ovitters> 2.39.91-1.mga3
+ Revision: 288008
- new version 2.39.91

* Mon Aug 20 2012 ovitters <ovitters> 2.39.90-1.mga3
+ Revision: 282734
- new version 2.39.90

* Mon Aug 06 2012 ovitters <ovitters> 2.39.5-1.mga3
+ Revision: 279603
- new version 2.39.5

* Thu Jul 19 2012 ovitters <ovitters> 2.39.4.1-3.mga3
+ Revision: 272691
- i18n is noarch

* Thu Jul 19 2012 ovitters <ovitters> 2.39.4.1-2.mga3
+ Revision: 272685
- put translations into an i18n package

* Tue Jul 17 2012 ovitters <ovitters> 2.39.4.1-1.mga3
+ Revision: 271804
- new version 2.39.4.1

* Tue Jul 17 2012 ovitters <ovitters> 2.39.4-1.mga3
+ Revision: 271610
- new version 2.39.4

* Tue Jun 26 2012 ovitters <ovitters> 2.39.3-1.mga3
+ Revision: 263997
- update filelist
- br intltool
- new version 2.39.3

* Mon Apr 16 2012 ovitters <ovitters> 2.38.1-1.mga2
+ Revision: 231129
- new version 2.38.1

* Mon Mar 26 2012 ovitters <ovitters> 2.38.0-1.mga2
+ Revision: 226893
- new version 2.38.0

* Mon Mar 19 2012 ovitters <ovitters> 2.37.92-1.mga2
+ Revision: 224538
- new version 2.37.92

* Tue Mar 06 2012 fwang <fwang> 2.37.91-1.mga2
+ Revision: 219628
- new vrersion 2.37.91

* Tue Feb 21 2012 fwang <fwang> 2.37.90-1.mga2
+ Revision: 211393
- new version 2.37.90

* Fri Feb 10 2012 wally <wally> 2.37.5.1-1.mga2
+ Revision: 206925
- new version 2.37.5.1

* Tue Feb 07 2012 fwang <fwang> 2.37.5-1.mga2
+ Revision: 205669
- new version 2.37.5

* Thu Feb 02 2012 fwang <fwang> 2.37.4-3.mga2
+ Revision: 204001
- fix wrong obsolete

* Tue Jan 17 2012 fwang <fwang> 2.37.4-1.mga2
+ Revision: 197194
- new version 2.37.4
- simplify devel package name, as it is unlikely introduced new libapi in the near future.

* Tue Dec 20 2011 fwang <fwang> 2.37.3-1.mga2
+ Revision: 184772
- new version 2.37.3

* Tue Nov 22 2011 fwang <fwang> 2.37.2-1.mga2
+ Revision: 170725
- new version 2.37.2

* Thu Oct 27 2011 wally <wally> 2.37.1-1.mga2
+ Revision: 158802
- new version 2.37.1

* Tue Oct 18 2011 wally <wally> 2.36.1-1.mga2
+ Revision: 156154
- new version 2.36.1

* Tue Sep 27 2011 ovitters <ovitters> 2.36.0-1.mga2
+ Revision: 149049
- new version 2.36.0

* Tue Sep 20 2011 fwang <fwang> 2.35.92-1.mga2
+ Revision: 145816
- new version 2.35.92

* Thu Sep 15 2011 fwang <fwang> 2.35.90-2.mga2
+ Revision: 143809
- drop .la fils

* Wed Aug 31 2011 fwang <fwang> 2.35.90-1.mga2
+ Revision: 136836
- new version 2.35.90
- new version 2.35.5
- disable static
- new version 2.35.4

* Sun Jul 10 2011 fwang <fwang> 2.35.3-1.mga2
+ Revision: 121622
- New version 2.35.3
- rename libpackage and devel package as correct names according to lib policy

* Sat Jul 09 2011 cjw <cjw> 2.34.2-4.mga2
+ Revision: 121277
- put gobject introspection typelibs in a separate package
- rebuild for automatic typelib provides and deps

* Mon Jun 13 2011 ahmad <ahmad> 2.34.2-3.mga2
+ Revision: 105519
- Don't delete the .{a,la} files for now, otherwise some packages fail to build (e.g. rhythmbox)

* Thu Jun 09 2011 dmorgan <dmorgan> 2.34.2-2.mga2
+ Revision: 102573
- Remove .la files

* Wed Jun 08 2011 dmorgan <dmorgan> 2.34.2-1.mga2
+ Revision: 101721
- New version 2.34.2
+ ahmad <ahmad>
- dbus-glib-devel is already required by libGConf2-devel
- libtasn1-devel is already required by gnutls-devel
- only require gtk-doc when building the docs

* Thu Mar 24 2011 boklm <boklm> 2.32.2-4.mga1
+ Revision: 76182
- rebuild for bug #497

* Wed Mar 23 2011 ennael <ennael> 2.32.2-3.mga1
+ Revision: 76114
- bump release for rebuild
+ dmorgan <dmorgan>
- Fix buildrequires
- Revert to libsoup 2.32.2

* Mon Mar 07 2011 dmorgan <dmorgan> 2.33.90-1.mga1
+ Revision: 66311
- New version 2.33.90

* Sat Jan 15 2011 blino <blino> 2.32.2-2.mga1
+ Revision: 18832
- remove old ldconfig scriptlets
- imported package libsoup

